<?php

/* ------------------------------------------------------------------------ *
 * Setting Registration
 * ------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------ *
 * Create menu page in wordpress
 * ------------------------------------------------------------------------ */
function persistent_login_create_menu_page()
{
    add_submenu_page(
        'options-general.php',
        'Persistent Login',
        'Persistent Login',
        'administrator',
        'wp-persistent-login',
        'persistent_login_options_display'
    );
}

// end sandbox_create_menu_page
add_action( 'admin_menu', 'persistent_login_create_menu_page' );
/* ------------------------------------------------------------------------ *
 * Build up options page
 * ------------------------------------------------------------------------ */
function persistent_login_options_display()
{
    /* ------------------------------------------------------------------------ *
     * Views
     * ------------------------------------------------------------------------ */
    if ( isset( $_GET['view'] ) ) {
        // updated db version
        
        if ( $_GET['view'] == 'update' ) {
            $message = __( 'WordPress Persistent Login has been updated to the latest database version! We now support persistent login across multiple devices.' );
            $class = 'notice updated';
            printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), esc_html( $message ) );
        }
    
    }
    // end if is premium
    /* ------------------------------------------------------------------------ *
     * Free forever plan - upgrade promotion
     * ------------------------------------------------------------------------ */
    
    if ( persistent_login()->is_not_paying() ) {
        settings_errors();
        ?>
		    <section><h1>Persistent Login</h1>
		    	
		    	<h2>Persistent Login - Free Forever Plan</h2>
		    	<p>You are currently using Persistent Login - Free Forever. Persistent login will keep your users logged in automatically. For free. Forever. </p>
		    	<p>There is a premium version of Persistent Login for those who want more control.</p>
		    	<a href="<?php 
        echo  persistent_login()->get_upgrade_url() ;
        ?>" class="button button-primary">
			    	View Upgrade Options
			    </a>
		    	<br/><br/>
		    	
		    	<h2>Why upgrade?</h2>
		    	<p>Persistent Login is great, but we've made it even better!</p>
		    	<p>If you love Persistent Login, but want more control, have a look at the features in our premium version.</p>
		    	
		    	<h4>With the premium version, you get access to:</h4>
		    	<ol>
			    	<li>Choose which user roles have persistent login (great for removing persistent login for admins!)</li>
			    	<li>Priority support directly from the developer</li>
			    	<li>All future updates and features <small><em>(while your subscription is active)</em></small></li>
		    	</ol> 
		    	<br/>
		    	
		    	<h4>Great premium features in the works right now!</h4>
		    	<ol>
		    		<li>Allow users to opt-out of persistent login while signing into your website</li>
			    	<li>Blacklist specific users from using persistent login</li>
			    	<li>Configure the amount of time users are kept logged in</li>
		    	</ol>
		    	
		    	<a href="<?php 
        echo  persistent_login()->get_upgrade_url() ;
        ?>" class="button button-primary">
			    	View Upgrade Options
			    </a>
		    </section>
		<?php 
    }
    
    /* ------------------------------------------------------------------------ *
     * END free forever plan
     * ------------------------------------------------------------------------ */
}

// end if is premium